Subject: bug#41897: 28.0.50; JavaScript comment filling with mhtml-mode

From: Tom Tromey <[email-masked]>
Date: Thu, 25 Jun 2020 14:53:44 -0600

>>>>> "Alan" == Alan Mackenzie <[email-masked]> writes:

Alan> Having several major modes in a single buffer has always been problematic
Alan> in Emacs.  Personally, I think there needs to be amendments in the
Alan> low-level C code to support it properly, but I'm not able to do this work
Alan> on my own, and there doesn't seem to be enough enthusiasm on other
Alan> people's part to help out.

mhtml-mode was a stab at making this work.  It does require some more
changes in Emacs (there's another bug open about font-lock that requires
some changes to the font-lock code, but there are also a few more I
could list), but I didn't come across anything requiring C changes.

What changes are you thinking of?

Dmitry> TBH I'm not sure if mhtml-mode does the save-and-restore dance which 
Dmitry> would be necessary for this. mmm-mode does, though.

It does.  Whatever happened to the idea of pulling mmm into Emacs core?
Maybe we could get rid of mhtml-mode.

Tom